# Retrieve the sitemap configuration

Fetches a [sitemap](https://doc.sitecore.com/xmc/en/developers/xm-cloud/configure-a-sitemap.html) configuration.

Endpoint: GET /api/v1/sites/{siteId}/configuration/sitemap
Version: v1
Security: Bearer

## Security:

  - `Bearer` (unknown)
    http Bearer

## Path parameters:

  - `siteId` (string, required)
    The site identifier.

## Query parameters:

  - `environmentId` (string)
    Content Services environment identifier

## Response 200:

  - `200` (unknown)
    Success

## Response 200 fields (application/json):

  - `id` (string)
    The identifier of the sitemap configuration item.
Example value: 2905a9c7-30b0-4d3f-bced-f1f9382c8041
    Example: 2905a9c7-30b0-4d3f-bced-f1f9382c8041

  - `enabled` (boolean)
    Whether sitemap generation is enabled.
Example value: True
    Example: true

  - `maxNumberOfPages` (string)
    Maximum number of pages to include in a single sitemap file.
Example value: 1000
    Example: 1000

  - `alternateLinksOptions` (object)
    Alternate link sitemap configuration.

  - `alternateLinksOptions.enabled` (boolean)
    Whether alternate link generation is enabled. When enabled, xhtml:link elements are added to the URL elements in the sitemap.
Example value: True
    Example: true

  - `alternateLinksOptions.includeXDefault` (boolean)
    Whether alternate links include an x-default link element. The x-default value signals to the search algorithm that the page does not target any specific language or region.
Example value: True
    Example: true

  - `urlOptions` (object)
    URL property configurations in the sitemap.

  - `urlOptions.includeChangeFreq` (boolean)
    Whether to include change frequency attribute in the sitemap, that specifies how often the page changes its content.
Example value: True
    Example: true

  - `urlOptions.includeLastMod` (boolean)
    Whether to include the last modification date in the sitemap.
Example value: True
    Example: true

  - `urlOptions.includePriority` (boolean)
    Whether to include priority information in the sitemap. The priority is a number between 0 and 1 that represents the importance of a page.
Example value: True
    Example: true

  - `cacheOptions` (object)
    Sitemap caching configuration.

  - `cacheOptions.refreshThreshold` (string)
    Threshold in minutes for refreshing the sitemap cache.
Example value: 60
    Example: 60

  - `permissions` (object)
    The access rights of the current user to the site.

  - `permissions.canAdmin` (boolean)
    Whether the current user has admin rights. Being an admin means that you control access permissions for other users, and have full read and write rights.
Example value: False
    Example: false

  - `permissions.canWrite` (boolean)
    Whether the current user has permissions to edit values. Users with write access also have read access.
Example value: False
    Example: false

  - `permissions.canCreate` (boolean)
    Whether the current user has permission to create entities.
Example value: False
    Example: false

  - `permissions.canDelete` (boolean)
    Whether the current user has permission to delete entities.
Example value: False
    Example: false

  - `permissions.canRename` (boolean)
    Whether the current user has permission to rename entities.
Example value: False
    Example: false

  - `permissions.canRead` (boolean)
    Whether the current user has permission to see entities, including all their parameters.
Example value: False
    Example: false

  - `permissions.canPublish` (boolean)
    Whether the current user has permission to publish sites in this environment.
Example value: False
    Example: false

  - `permissions.canDuplicate` (boolean)
    Whether the current user has permission to duplicate entities.
Example value: False
    Example: false

  - `permissions.canWriteLanguage` (boolean)
    Whether the current user has permission to write item language entities.
Example value: False
    Example: false

## Response 400:

  - `400` (unknown)
    Bad request

## Response 400 fields (application/json):

  - `type` (string)
    The type of the error response entity.

  - `title` (string)
    The title of the error response entity.

  - `status` (integer)
    The response status code.

  - `detail` (string)
    A detailed explanation, specific to this occurrence of the problem.

  - `instance` (string)
    If available, a URI reference that identifies the specific occurrence of the problem.

## Response 404:

  - `404` (unknown)
    Not found

## Response 404 fields (application/json):

  - `type` (string)
    The type of the error response entity.

  - `title` (string)
    The title of the error response entity.

  - `status` (integer)
    The response status code.

  - `detail` (string)
    A detailed explanation, specific to this occurrence of the problem.

  - `instance` (string)
    If available, a URI reference that identifies the specific occurrence of the problem.

